Name:    siteomat
Version: 1.0.0.0
Release: 1%{?dist}
Summary: Static site generator

License: EUPL 1.2
URL:     https://www.nkly.me/projects/siteomat

Requires: groff-base

%description
Site-O-Mat is a static website generator. It transforms content written in
CommonMark to HTML using Mustache templates.

%build
cabal build -O2 siteomat

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 "$(cabal list-bin -O2 exe:siteomat)" %{buildroot}%{_bindir}/siteomat
strip --strip-unneeded %{buildroot}%{_bindir}/siteomat

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 siteomat/man/siteomat.1 %{buildroot}%{_mandir}/man1/siteomat.1

mkdir -p %{buildroot}%{_mandir}/man7
install -p -m 0644 siteomat/man/siteomat.7 %{buildroot}%{_mandir}/man7/siteomat.7

%files
%{_bindir}/siteomat
%{_mandir}/man1/siteomat.1*
%{_mandir}/man7/siteomat.7*

%changelog
* Sat Jan 29 2022 Nikolai Obedin <dev@nkly.me> - 1.0.0.0-1
- Package the 1st version