module OkStd.Maybe
  ( hoistMaybe,
  )
where

import Control.Applicative (Applicative, pure)
import Control.Monad.Trans.Maybe (MaybeT (..))
import Data.Function ((.))
import Data.Maybe (Maybe)

-- | Converts a 'Maybe' computation to 'MaybeT'
hoistMaybe :: Applicative m => Maybe a -> MaybeT m a
hoistMaybe = MaybeT . pure
